Permalink
Browse files

Skip criteria test on perls below 5.8.0.

  • Loading branch information...
1 parent 3d64c34 commit efead276cef117f982e17bb7f1e9cff976cf14ee @pjcj committed Sep 20, 2010
Showing with 10 additions and 1 deletion.
  1. +10 −1 t/internal/criteria.t
View
@@ -1,11 +1,20 @@
use strict;
use warnings;
-use Test::More tests => 5;
+use Test::More;
use Test::Warn;
use Devel::Cover "-silent", 1;
+if ($] < 5.008000)
+{
+ plan skip_all => "Test requires perl 5.8.0 or greater";
+}
+else
+{
+ plan tests => 5;
+}
+
Devel::Cover::set_coverage("none");
is Devel::Cover::get_coverage(), "", "Set coverage to none empties coverage";

0 comments on commit efead27

Please sign in to comment.